curl --request POST \
--url https://api.fabric.inc/v3/oms-notifications/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"acknowledgedAt": "2022-07-14T10:27:28-05:00",
"documentId": "6319c04f2ec591b653f328dd",
"documentType": "ORDER",
"notificationType": "BOPIS_ORDER_COMPLETED"
}
'import requests
url = "https://api.fabric.inc/v3/oms-notifications/acknowledge"
payload = {
"acknowledgedAt": "2022-07-14T10:27:28-05:00",
"documentId": "6319c04f2ec591b653f328dd",
"documentType": "ORDER",
"notificationType": "BOPIS_ORDER_COMPLETED"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
acknowledgedAt: '2022-07-14T10:27:28-05:00',
documentId: '6319c04f2ec591b653f328dd',
documentType: 'ORDER',
notificationType: 'BOPIS_ORDER_COMPLETED'
})
};
fetch('https://api.fabric.inc/v3/oms-notifications/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "OK"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "No resource found for the given ID",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Get acknowledgment receipt for notification
This endpoint gets notification acknowledgment from external service.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Body
Acknowledgment request details
Notification event acknowledgement time (UTC format)
"2022-07-14T10:27:28-05:00"
Unique ID based on documentType. When documentType is ORDER, this is the order ID.
"6319c04f2ec591b653f328dd"
Module name
ALLOCATION, ORDER, LOCATION, SHIPMENT, INVENTORY, INVOICE, TRANSFER, LOCATION_OUTAGE, TRANSFER_SHIPMENT, LOCATION_CAPACITY_OVERRIDE "ORDER"
Notification type
SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL, MULTI_ITEM_ORDER_CONFIRMATION_EMAIL, BOPIS_ORDER_CONFIRMATION_EMAIL, SHIPPING_CONFIRMATION_EMAIL, BOPIS_ORDER_READY_FOR_PICKUP, BOPIS_ORDER_COMPLETED, BOPIS_REMINDER_EMAIL, BACKORDER_NOTIFICATION_EMAIL, BACKORDER_30_DAYS_CONSENT_TO_DELAY_EMAIL, BACKORDER_53_DAYS_CONSENT_TO_DELAY_EMAIL, BACKORDER_CANCEL_EMAIL, BACKORDER_AUTH_DECLINE_EMAIL, ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_ITEM_CANCEL, ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_CANCEL, ORDER_CANCELLATION_EMAIL_LOCATE_ORDER_ITEM_CANCEL, RETURN_NOTIFICATION_EMAIL, REFUND_NOTIFICATION_EMAIL, APPEASEMENT_NOTIFICATION_EMAIL, EXCHANGE_NOTIFICATION_EMAIL, SHIPMENT_CREATED, ORDER_CREATED, INVOICE_POSTED, HIGH_ALERT_NOTIFICATION_EMAIL, MEDIUM_ALERT_NOTIFICATION_EMAIL, LOW_ALERT_NOTIFICATION_EMAIL, PAYMENT_AUTH_DECLINED_EMAIL "BOPIS_ORDER_COMPLETED"
Response
OK
Response message
Response message
"OK"
Was this page helpful?
